BDIFF(1)

NAME
bdiff - big diff

SYNOPSIS
bdiff filename1 filename2 [n] [-s]

DESCRIPTION
bdiff is used in a manner analogous to diff to find which lines in filename1 and filename2 must be changed to bring the files into agreement. Its purpose is to allow processing of files too large for diff. If filename1 (filename2) is -, the standard input is read.

bdiff ignores lines common to the beginning of both files, splits the remainder of each file into n-line segments, and invokes diff on corresponding segments. If both optional arguments are specified, they must appear in the order indicated above.

The output of bdiff is exactly that of diff, with line numbers adjusted to account for the segmenting of the files (that is, to make it look as if the files had been processed whole). Note: Because of the segmenting of the files, bdiff does not necessarily find a smallest sufficient set of file differences.

The options are:

n   The number of line segments. The value of n is 3500 by default. If the optional third argument is given and it is numeric, it is used as the value for n. This is useful in those cases in which 3500-line segments are too large for diff, causing it to fail.

-s  Specifies that no diagnostics are to be printed by bdiff (silent option). Note: However, this does not suppress possible diagnostic messages from diff, which bdiff calls.

FILES
/tmp/bd?????

SEE ALSO
diff(1)

DIAGNOSTICS
Use help(1) for explanations.